- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_wireless_controller_hotspot20_anqp_nai_realm – Configure network access identifier (NAI) realm in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify wireless_controller_hotspot20 feature and anqp_nai_realm category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.4

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string / required | Choices: present absent | Indicates whether to create or remove the object.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
wireless_controller_hotspot20_anqp_nai_realm dictionary | Default: null | Configure network access identifier (NAI) realm.
| nai_list list |  | NAI list.
|  | eap_method list |  | EAP Methods.
|  |  | auth_param string |  | EAP auth param.
|  |  |  | id string | Choices: non-eap-inner-auth inner-auth-eap credential tunneled-credential | ID of authentication parameter.
|  |  |  | index integer / required |  | Param index.
|  |  |  | val string | Choices: eap-identity eap-md5 eap-tls eap-ttls eap-peap eap-sim eap-aka eap-aka-prime non-eap-pap non-eap-chap non-eap-mschap non-eap-mschapv2 cred-sim cred-usim cred-nfc cred-hardware-token cred-softoken cred-certificate cred-user-pwd cred-none cred-vendor-specific tun-cred-sim tun-cred-usim tun-cred-nfc tun-cred-hardware-token tun-cred-softoken tun-cred-certificate tun-cred-user-pwd tun-cred-anonymous tun-cred-vendor-specific | Value of authentication parameter.
|  |  | index integer / required |  | EAP method index.
|  |  | method string | Choices: eap-identity eap-md5 eap-tls eap-ttls eap-peap eap-sim eap-aka eap-aka-prime | EAP method type.
|  | encoding string | Choices: disable enable | Enable/disable format in accordance with IETF RFC 4282.
|  | nai_realm string |  | Configure NAI realms (delimited by a semi-colon character).
|  | name string / required |  | NAI realm name.
| name string / required |  | NAI realm list name.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure network access identifier (NAI) realm.
        fortios_wireless_controller_hotspot20_anqp_nai_realm:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          wireless_controller_hotspot20_anqp_nai_realm:
            nai_list:
             -
                eap_method:
                 -
                    auth_param:
                     -
                        id:  "6"
                        index: "7"
                        val: "eap-identity"
                    index: "9"
                    method: "eap-identity"
                encoding: "disable"
                nai_realm: "<your_own_value>"
                name: "default_name_13"
            name: "default_name_14"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.